List Warning Pix Deposits
GET/v1/pix/warning/deposits
Get a list of user's warning pix deposits. You can include any of the filter parameters below to refine your search.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at, updated_at, state]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Transaction tag.
Possible values: [CREATED, APPROVED, REJECTED, APPROVED_BY_USER]
Warning Pix Deposit states.
Created at start date period for warning transactions.
Created at end date period for warning transactions.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
The warning pix deposits returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Warning Pix Deposits data.
Operation UUID.
Transaction tag.
Possible values: [CREATED, APPROVED, REJECTED, APPROVED_BY_USER]
Warning pix deposit state.
Warning pix deposit rejected reason.
Pix deposit amount.
Pix deposit payer name.
List of failed validation checks that triggered the warning.
Date of created Warning Pix Deposit.
Date of updated Warning Pix Deposit.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"operation_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"transaction_tag": "PIXREC",
"state": [
"CREATED"
],
"rejected_reason": null,
"amount": 10000,
"third_part_name": "João Silva",
"failed_checks": [
"is_duplicated",
"is_suspect_cpf"
],
"created_at": "2026-03-26T14:02:58.710Z",
"updated_at": "2026-03-26T14:02:58.710Z"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.